<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Twitter</title>
    <link rel="stylesheet" href="./css/style.css" />
  </head>
  <body>
    <button id="add-post-btn">ADD A POST</button>
    <div id="loading">
      <div class="spinner"></div>
    </div>
    <div id="feed"></div>

    <div id="modal" class="modal">
      <div class="modal-content">
        <span class="close">&times;</span>
        <h2>Add a new post</h2>
        <input id="title-input" type="text" placeholder="Title" />
        <textarea
          id="body-input"
          placeholder="The text of the publication"
        ></textarea>
        <button id="submit-post-btn">Save</button>
      </div>
    </div>

    <div id="edit-modal" class="modal">
      <div class="modal-content">
        <span class="edit-close">&times;</span>
        <h2>Edit a post</h2>
        <input id="edit-title-input" type="text" placeholder="Title" />
        <textarea
          id="edit-body-input"
          placeholder="The text of the publication"
        ></textarea>
        <button id="submit-edit-btn">Save</button>
      </div>
    </div>

    <script src="./js/script.js"></script>
  </body>
</html>
